TechDraw "Добавить Линию-выноску в Вид"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw LeaderLine and the translation is 47% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

TechDraw LeaderLine.svg Добавить Линию-выноску в Вид

Системное название
TechDraw_LeaderLine
Расположение в меню
TechDraw → Добавить Линии → Добавить Линию-выноску в Вид
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Вставка аннотаций форматированным текстом, Добавить информацию о сварке в указательную линию, Группы линий

Описание

The LeaderLine tool adds a line to a View. Other annotation objects (such as Rich Text Annotations) can be connected to the leaderline to form complex annotations.

TechDraw LeaderLine sample.png

Leaderline added to View001

Применение

  1. Select a view.
  2. Press the TechDraw LeaderLine.svg Add Leaderline to View button. A dialog will open allowing to draw the leaderline and assigning end symbols to the line.
  3. Click on Pick points and then click into the page to define the starting point of the line.
  4. Move the mouse and click on another point to create a line. Hold Ctrl to snap to multiples of 22.5° angles.
  5. Now you can either
    1. finish the line drawing by double-clicking or pressing Save Points.
    2. add further points to define more line segments.
  6. To finish the creation, press OK to close the dialog.

Note: If you did not define any points when creating the leaderline, a short line will be placed at the center of the view.

Editing

  1. Select the Leaderline in the document tree and double-click on it.
  2. A dialog will open where you can change the appearance.
  3. To edit the points, click on Edit points and the line points become visible in the drawing.
  4. Drag the points to a place you like and finish the change by clicking on Save changes.

Свойства

  • ДанныеX,Y: The point at which the leaderline is connected to the View.
  • ДанныеLeader Parent: The View to which the leader is attached.
  • ДанныеStart Symbol: The symbol at the start: Arrownone.svg None, Arrowfilled.svg Filled Arrow, Arrowopen.svg Open Arrow, Arrowtick.svg Tick, Arrowdot.svg Dot, Arrowopendot.svg Open Circle, Arrowfork.svg Fork, Arrowpyramid.svg Filled Triangle
  • ДанныеEnd Symbol: The symbol at the end.
  • ДанныеWayPoints: Nodes on the leaderline.
  • ДанныеScalable: Leader scales with Leader Parent.
  • ДанныеAuto Horizontal: Forces last leaderline segment to be horizontal.
  • ВидColor: Pen colour for the leaderline.
  • ВидLine Style: 0 NoLine, 1 Continuous-line.svg Continuous, 2 Dash-line.svg Dash, 3 Dot-line.svg Dot, 4 DashDot-line.svg DashDot, 5 DashDotDot-line.svg DashDotDot
  • ВидLine Width: Width of leaderline.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The LeaderLine tool can be used in macros and from the Python console by using the following functions:

myPage = FreeCAD.ActiveDocument().Page
myBase = FreeCAD.ActiveDocument().View
leaderObj = FreeCAD.ActiveDocument.addObject('TechDraw::DrawLeaderLine','DrawLeaderLine')
FreeCAD.activeDocument().myPage.addView(leaderObj)
FreeCAD.activeDocument().leaderObj.LeaderParent = myBase
#first waypoint is always (0,0,0)  
#rest of waypoints are positions relative to (0,0,0)
leaderObj.WayPoints = [p0,p1,p2]
leaderObj.X = 5
leaderObj.Y = 5

Notes

  • You can edit a Leaderline by double clicking on it in the tree view. Double clicking in the graphics area is not yet supported. The line segment(s) can be edited by pressing Edit points. To exit the point editing, press Save changes or Discard changes.
  • If you did not define any points when creating the leaderline, a short line will be placed at the center of the view. You can later not add further points.
  • By default the preferences option Leader Line Auto Horizontal is activated. Therefore the last line segment will be horizontal. So if you only have one segment, you get a horizontal line, no matter where you picked the second point.
  • You can turn off the auto horizontal feature for existing Leaderlines changing the ДанныеAuto Horizontal property.